package com.link.core.basic.es.annotation;

import com.link.core.basic.es.util.EsFieldType;
import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface EsField {
   EsFieldType type() default EsFieldType.NESTED_OBJECT;

   String value();

   EsFieldType runtimeType() default EsFieldType.KEYWORD;
}
